Page MenuHomePhabricator

Adapt help dialogue to moment of beta deploy
Closed, ResolvedPublic

Description

N.B: This needs to be deployed latest on May 09, to be live when T162806: Make TwoColConflict a beta feature on all wikis happens.

Screen1
Text:

This page helps you to resolve an edit conflict. There are two columns: The first shows the conflicting changes and the second column is a text editor, whose content will be saved.
Feedback to the page is very much appreciated here.

(here is still the same link)

Screen2
Text:

The first column shows the changes in your version and the changes in the currently saved version. The differences between both versions are highlighted.

Screen3
Text:

At the top of the first column you can click on “show” to see unchanged text. This might help to understand the context of changes. By default, unchanged text is greyed out and collapsed.

Screen4
Text:

The second column is an editor. Copy and paste the desired parts of your version into the text in the editor. Only what is in the editor will be published, when you click the "Publish changes" button.

Help manual
Please update the usage part of the manual as well:
https://www.mediawiki.org/wiki/Help:Two_Column_Edit_Conflict_View/en

Only for the first screen, please use the following text:

Whenever an edit conflict happens, the new page for conflict resolution will appear. It is split into two columns: The first shows the conflicting changes and the second column is a text editor, whose content will be saved.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 11:58 AM
Lea_WMDE changed the task status from Open to Stalled.Apr 26 2017, 11:58 AM
Lea_WMDE changed the task status from Stalled to Open.Apr 26 2017, 1:28 PM
Lea_WMDE triaged this task as High priority.
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE updated the task description. (Show Details)
WMDE-Fisch moved this task from Todo to Sprint ready on the WMDE-QWERTY-Team board.

On Screen3 is still a hint to hide the 'yours' text. Since this option is/will be removed I will remove that sentence in the help text and base the patch upon the patch where the option is removed.

The text will then be:

At the top of the first column you can click on “show” to see unchanged text. This might help to understand the context of changes. By default, unchanged text is greyed out and collapsed.

Forget my last comment. These adjustments are done in https://phabricator.wikimedia.org/T162148

Change 350557 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/TwoColConflict@master] Adapt help dialog to current version

https://gerrit.wikimedia.org/r/350557

@Lea_WMDE On question to the text for the manual:

Screen3 currently has

When javascript is enabled, you can use buttons above the box which allow you to hide any unchanged parts of the text to make it easier to focus on the conflicting areas. Also you have the possibility to only show your text.

The part about JS should also be taken into account here for the new text I guess. How about:

When javascript is enabled, you can click on “show” to see unchanged text at the top of the first column . This might help to understand the context of changes. By default, unchanged text is greyed out and collapsed. You can also click on "mine" to see only your changes.

?

Change 350557 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Adapt help dialog to current version

https://gerrit.wikimedia.org/r/350557

Lea_WMDE updated the task description. (Show Details)May 8 2017, 12:52 PM

Changed wording to reduce workload for translators - sorry @WMDE-Fisch :/

Change 352817 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/TwoColConflict@wmf/1.29.0-wmf.21] BACKPORTS from master.

https://gerrit.wikimedia.org/r/352817

Change 352817 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@wmf/1.29.0-wmf.21] BACKPORTS from master.

https://gerrit.wikimedia.org/r/352817

Mentioned in SAL (#wikimedia-operations) [2017-05-09T13:49:10Z] <hashar@tin> Synchronized php-1.29.0-wmf.21/extensions/TwoColConflict: BACKPORTS from master - T162806 T163886 (duration: 00m 41s)

Addshore closed this task as Resolved.May 11 2017, 8:49 AM
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:54 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJun 6 2017, 2:54 PM